package com.huimv.receiver;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.text.SimpleDateFormat;
import java.util.Date;

@SpringBootTest
class HuimvCenterReceiverApplicationTests {

    @Test
    void contextLoads() {
    }

    @Test
    public void testDatetime(){
        Long dateLong = 1638603480000L;
        Date date = new Date();
        date.setTime(dateLong);
        System.out.println(""+date.toString());

        String dateStr = fromLongToDate("yyyy-MM-dd HH:mm:ss", dateLong);
        System.out.println(dateStr);
    }

    /**
     * Long类型时间->转换成日期->转成要求格式的String类型
     */
    public static String fromLongToDate(String format, Long time) {
        SimpleDateFormat sdf = new SimpleDateFormat(format);
        Date date = new Date(time);
        return sdf.format(date);
    }

}
