package com.huimv.produce;

import com.huimv.common.config.InterceptorConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Import;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@MapperScan("com.huimv.produce.mapper")
@Import(InterceptorConfig.class)
@EnableScheduling
public class HuimvProduceWarningApplication {

    public static void main(String[] args) {
      SpringApplication.run(HuimvProduceWarningApplication.class, args);
//        applicationContext.getBean(SocketServer.class).startSocketServer();
    }

}
