package com.huimv.produce.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.common.utils.Result;
import com.huimv.produce.entity.BaseRoom;
import com.huimv.produce.entity.dto.AllDayWater;
import com.huimv.produce.entity.dto.AllRoomEnvironment;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
@Repository
public interface BaseRoomMapper extends BaseMapper<BaseRoom> {

    List<AllRoomEnvironment> getAllRoomEnvironment(@Param("farmId")Integer farmId);

    List<AllDayWater> getAllDayWater(@Param("farmId") Integer farmId);
}
