package com.huimv.video;

import com.huimv.common.config.InterceptorConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Import;

@SpringBootApplication
@Import(InterceptorConfig.class)
@MapperScan("com.huimv.video.mapper")
public class HuimvVideoApplication {

    public static void main(String[] args) {
        SpringApplication.run(HuimvVideoApplication.class, args);

    }

}
